### Function

# Soup cookies_to_cookie_header

#### Declaration [src]

    char*
    soup_cookies_to_cookie_header (
      GSList* cookies
    )

#### Description [src]

Serializes a `GSList` of `SoupCookie` into a string suitable for setting as the value of the “Cookie” header.

#### Parameters

`cookies` | A list of `SoupCookie*`
| A `GSList` of `SoupCookie`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `char*`
| The serialization of `cookies`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.